Subject: bug#21921: New function comment-line also comments first line after region

From: Rasmus <[email-masked]>
Date: Mon, 16 Nov 2015 18:59:49 +0100

Artur Malabarba <[email-masked]> writes:

> Indeed. When I was deciding how comment-line should work on a region, I
> specifically chose to not make it identical to comment-dwim.
>
> Maybe it should still treat the "region ends at a newline" case specially.
> Some emacs commands do that already.
> Not sure though, since that would be slightly redundant with comment-dwim.

It's already in comment-dwim.  On my layout, comment-dwim is easier to
reach anyway.  I’m indifferent on the behavior of comment-line in this
edge case.  Both would make sense.

Rasmus

-- 
This is the kind of tedious nonsense up with which I will not put